Summary:	X Composite extension client library
Summary(pl.UTF-8):	Biblioteka kliencka rozszerzenia X Composite
Name:		xorg-lib-libXcomposite
Version:	0.4.6
Release:	2
License:	MIT
Group:		X11/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libXcomposite-%{version}.tar.xz
# Source0-md5:	af0a5f0abb5b55f8411cd738cf0e5259
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xmlto >= 0.0.20
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-proto-compositeproto-devel >= 0.4
BuildRequires:	xorg-proto-xproto-devel >= 7.0.22
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
Obsoletes:	libXcomposite < 1.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Composite extension client library.

%description -l pl.UTF-8
Biblioteka kliencka rozszerzenia X Composite.

%package devel
Summary:	Header files for libXcomposite library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXcomposite
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libX11-devel
Requires:	xorg-lib-libXfixes-devel
Requires:	xorg-proto-compositeproto-devel >= 0.4
Requires:	xorg-proto-xproto-devel >= 7.0.22
Obsoletes:	libXcomposite-devel < 1.1

%description devel
X Composite extension client library.

This package contains the header files needed to develop programs that
use libXcomposite.

%description devel -l pl.UTF-8
Biblioteka kliencka rozszerzenia X Composite.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXcomposite.

%package static
Summary:	Static libXcomposite library
Summary(pl.UTF-8):	Biblioteka statyczna libXcomposite
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXcomposite-static < 1.1

%description static
X Composite extension client library.

This package contains the static libXcomposite library.

%description static -l pl.UTF-8
Biblioteka kliencka rozszerzenia X Composite.

Pakiet zawiera statyczną bibliotekę libXcomposite.

%prep
%setup -q -n libXcomposite-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libXcomposite.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README.md
%attr(755,root,root) %{_libdir}/libXcomposite.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXcomposite.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXcomposite.so
%{_includedir}/X11/extensions/Xcomposite.h
%{_pkgconfigdir}/xcomposite.pc
%{_mandir}/man3/XComposite*.3*
%{_mandir}/man3/Xcomposite.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXcomposite.a
%changelog
* Sun Nov 17 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libXcomposite.git;a=log;h=master

* Sun Nov 17 2024 Jakub Bogusz <qboosh@pld-linux.org> dbad765
- drop .la file, release 2

* Wed Dec 28 2022 Jakub Bogusz <qboosh@pld-linux.org> 6ebaf8b
- updated to 0.4.6

* Tue Mar 12 2019 Jakub Bogusz <qboosh@pld-linux.org> 52d10d1
- updated to 0.4.5

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> c1583de
- x32 rebuild
- release 3 (by relup.sh)

* Fri May 31 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> cec0e09
- rel 2; fix build

* Thu Jan 03 2013 Jakub Bogusz <qboosh@pld-linux.org> 3470c58
- updated to 0.4.4

* Fri Oct 29 2010 Jakub Bogusz <qboosh@pld-linux.org> c79a317
- updated to 0.4.3

* Sun Jun 13 2010 Jakub Bogusz <qboosh@pld-linux.org> b7067da
- updated ac and util-macros versions

* Thu Jun 10 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 518cf0a
- up to 0.4.2

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> f03f3bd
- rebuild with new libpthread-stubs
- rel 2

* Thu Oct 08 2009 Jakub Bogusz <qboosh@pld-linux.org> 80246b9
- util-macros version
- ghost soname symlink
- more verbose files, added README to doc

* Thu Oct 08 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ad54634
- up to 0.4.1

* Fri Nov 07 2008 Paweł Sikora <pluto@pld-linux.org> 384e3e5
- release 2 for rebuild w/o libxcb-xlib deps.

* Thu Jul 05 2007 Jakub Bogusz <qboosh@pld-linux.org> c85d944
- proto version update

* Wed Jul 04 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> fb0c2bc
- up to 0.4.0

* Thu May 03 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 67b4a90
- up to 0.3.2 (no code changes; man pages added)

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ab61c88
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c7b975e
- converted to UTF-8

* Sat Nov 25 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> f77bc3b
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 60331d4
- rebuild

